import React from 'react';
import { Uploader } from '@antmjs/vantui';
import { uploadFiles } from '@/utils/request';

export default (props) => {
  const { fileList = [] } = props;

  const onAfterRead = (e) => {
    const { file, name } = e.detail

    uploadFiles([file.url]).then(res => {
      if (props.onChange) {
        props.onChange(fileList.concat([{url: res[0], name}]));
      }
    });
  }

  return (
    <Uploader onAfterRead={onAfterRead} {...props} />
  )
}
